/**
 * Copyright (c) 2013-2015 Linagora
 * 
 * This program/library is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2.1 of the License, or (at your
 * option) any later version.
 * 
 * This program/library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program/library; If not, see <http://www.gnu.org/licenses/>
 * for the GNU Lesser General Public License version 2.1.
 */
package org.ow2.petals.log.formatter;

import java.util.Map;

import org.ow2.petals.log.formatter.LogDataFormatterTest.TestLogDataWithExtraParam;

/**
 * A {@link LogDataAppender} that hides an extra parameters. For unit tests
 * purpose.
 * 
 * @author Christophe DENEUX - Liangora
 * 
 */
public class TestLogDataAppenderHideningExtraParam extends BasicLogDataAppender {

    @Override
    public boolean canAppend(final Map<String, Object> logData, String dataKey) {
        return !dataKey.equals(TestLogDataWithExtraParam.HIDDEN_EXTRA_PARAM);
    }
    
}